MicroblocksApi - interface

export
interface

  MicroblocksApiInterface

### Hierarchy

- MicroblocksApiInterface

### Implemented by

- MicroblocksApi

## Index

### Methods

- getMicroblockByHash
- getMicroblockByHashRaw
- getMicroblockList
- getMicroblockListRaw
- getUnanchoredTxs
- getUnanchoredTxsRaw

## Methods

### getMicroblockByHash

- getMicroblockByHash(requestParameters: GetMicroblockByHashRequest, initOverrides?: RequestInit): Promise< Microblock >

- - Defined in src/generated/apis/MicroblocksApi.ts:59

  Get a specific microblock by hash Get microblock

  #### Parameters

  - ##### requestParameters: GetMicroblockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Microblock >

### getMicroblockByHashRaw

- getMicroblockByHashRaw(requestParameters: GetMicroblockByHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < Microblock >>

- - Defined in src/generated/apis/MicroblocksApi.ts:53

  Get a specific microblock by hash

  summary

    Get microblock

  throws

    {RequiredError}

  memberof

    MicroblocksApiInterface

  #### Parameters

  - ##### requestParameters: GetMicroblockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Microblock >>

### getMicroblockList

- getMicroblockList(requestParameters: GetMicroblockListRequest, initOverrides?: RequestInit): Promise< MicroblockListResponse >

- - Defined in src/generated/apis/MicroblocksApi.ts:75

  Get recent microblocks

  #### Parameters

  - ##### requestParameters: GetMicroblockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MicroblockListResponse >

### getMicroblockListRaw

- getMicroblockListRaw(requestParameters: GetMicroblockListRequest, initOverrides?: RequestInit): Promise< ApiResponse < MicroblockListResponse >>

- - Defined in src/generated/apis/MicroblocksApi.ts:70
  summary

    Get recent microblocks

  throws

    {RequiredError}

  memberof

    MicroblocksApiInterface

  #### Parameters

  - ##### requestParameters: GetMicroblockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MicroblockListResponse >>

### getUnanchoredTxs

- getUnanchoredTxs(initOverrides?: RequestInit): Promise< UnanchoredTransactionListResponse >

- - Defined in src/generated/apis/MicroblocksApi.ts:90

  This contains transactions that have been streamed in microblocks but not yet accepted or rejected in an anchor block Get the list of current transactions that belong to unanchored microblocks

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< UnanchoredTransactionListResponse >

### getUnanchoredTxsRaw

- getUnanchoredTxsRaw(initOverrides?: RequestInit): Promise< ApiResponse < UnanchoredTransactionListResponse >>

- - Defined in src/generated/apis/MicroblocksApi.ts:84

  This contains transactions that have been streamed in microblocks but not yet accepted or rejected in an anchor block

  summary

    Get the list of current transactions that belong to unanchored microblocks

  throws

    {RequiredError}

  memberof

    MicroblocksApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < UnanchoredTransactionListResponse >>

Generated using TypeDoc